package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WfLoadGrow对象 wf_load_grow
 *
 * @author hlf
 * @date 2022-01-10
 */
public class WfLoadGrow extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Date growTime;

    private Double load;

    private String windplantName;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setGrowTime(Date growTime) {
        this.growTime = growTime;
    }

    public Date getGrowTime() {
        return growTime;
    }

    public void setLoad(Double load) {
        this.load = load;
    }

    public Double getLoad() {
        return load;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("growTime", getGrowTime())
                .append("load", getLoad())
                .toString();
    }
}
